// ChildFrm.cpp : implementation of the CChildFrame class
//
#include "stdafx.h"
#include "xpeluc01.h"

#include "ChildFrm.h"
#include "SchemeView.h"
#include "SchemeTreeView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CChildFrame

IMPLEMENT_DYNCREATE(CChildFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CChildFrame, CMDIChildWnd)
END_MESSAGE_MAP()


// CChildFrame construction/destruction

CChildFrame::CChildFrame()
{
	// TODO: add member initialization code here
}

CChildFrame::~CChildFrame()
{
}


BOOL CChildFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying the CREATESTRUCT cs
	if( !CMDIChildWnd::PreCreateWindow(cs) )
		return FALSE;

	return TRUE;
}


// CChildFrame diagnostics

#ifdef _DEBUG
void CChildFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CChildFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG


// CChildFrame message handlers

BOOL CChildFrame::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext)
{
	// kvuli CSplitterWnd
	BOOL bRet = m_wndSplit.CreateStatic(this, 1, 2);//m_wndSplit.Create(this, 1, 2, CSize(10,10), pContext);
	m_wndSplit.CreateView(0, 0, RUNTIME_CLASS(CSchemeTreeView), CSize(160,0), pContext);
	m_wndSplit.CreateView(0, 1, RUNTIME_CLASS(CSchemeView), CSize(100,0), pContext);

	return bRet;
	//return CMDIChildWnd::OnCreateClient(lpcs, pContext);
}
